export default function ({ env }) {
  return {
    ckeditor: {
      enabled: true,
    },
    "do-not-delete": {
      config: {
        contentTypes: {
          "api::product.product": [["allowDelete", "is", false]],
          "api::order.order": [
            ["orderStatus", "is", "pending"],
            ["orderStatus", "is", "approved"],
            ["orderStatus", "is", "success"],
          ],
        },
      },
    },
    "strapi-plugin-populate-deep": {
      enabled: true,
      config: {
        defaultDepth: 3,
        // skipCreatorFields: true,
      },
    },
    upload: {
      config: {
        provider: "aws-s3",
        providerOptions: {
          accessKeyId: env("AWS_ACCESS_KEY_ID"),
          secretAccessKey: env("AWS_ACCESS_SECRET"),
          region: env("AWS_REGION"),
          s3ForcePathStyle: true,
          forcePathStyle: true,
          params: {
            ACL: env("AWS_ACL", "public-read"),
            Bucket: env("AWS_BUCKET_NAME"),
          },
        },
      },
    },
    // email: {
    //   enabled: true,
    //   config: {
    //     provider: "nodemailer",
    //     providerOptions: {
    //       host: 'smtp.gmail.com',
    //       port: 587,
    //       secure: false, // true for 465, false for other ports
    //       auth: {
    //          email: "voquocan99@gmail.com",
    //         password: "fiun lber yicd cvjn",
    //         // type: "OAuth2",
    //         // user: "voquocan99@gmail.com",
    //         // clientId:
    //         //   "416346180964-g2a1a2ob6f2akm7gv3n2e3us3qetto9u.apps.googleusercontent.com",
    //         // clientSecret: "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",
    //         // refreshToken: "1//0eccIU5NZXqI8CgYIARAAGA4SNwF-L9Irx4pqDTNULfUjweTMRiQ3cc-Z3KaweB_MTtGIsr3uR-SXHaz-qAjAxXRPy2pJdqfdTpE",
    //         // accessToken: "ya29.a0AXooCgseDuJFep6hRnllcsKNSPYzYZKtBI_GPEKgPYgb2vnTCci4pQhmZ0cjZ52W5CveBZLmTpIKdN7yGYbn_kXwJFhRHtOrZdsQ3FXpzmnzA2N_gLypTZDLkkbkg5XmaxNbzC0fpVLbCp7iaskqRynBVvbJtwy-8z9IaCgYKARASARESFQHGX2MiAAdpksA3BN1EOFqi2fAyrw0171",
    //       },
    //     },
    //     settings: {
    //       defaultFrom: "voquocan99@gmail.com",
    //       defaultReplyTo: "voquocan99@gmail.com",
    //     },
    //   },
    // },
    // email: {
    //   provider: "sparkpost",
    //   providerOptions: {
    //     host: "smtp.sparkpostmail.com",
    //     port: 587,
    //     secure: false,
    //     auth: {
    //       user: "SMTP_Injection",
    //       pass: env("1facbc8c72cb8c20fc9468c589a191c4ca89138e"),
    //     },
    //     // apiKey: env(
    //     //   "SPARKPOST_API_KEY",
    //     //   "1facbc8c72cb8c20fc9468c589a191c4ca89138e"
    //     // ),
    //   },
    //   settings: {
    //     defaultFrom: "voquocan99@gmail.com",
    //     defaultReplyTo: "voquocan99@gmail.com",
    //     testAddress: "voquocan99@gmail.com",
    //   },
    // },
  };
}
